#!/bin/bash

# 2.8) Control de Inactividad:
function control_inactividad() {
    PARAM="${1}"
    CONT="${2}"
    TIEMPO="$(jq -r ".${PARAM}[${CONT}].tiempo" "${FICHCONFJSON}")"
    ACCION="$(jq -r ".${PARAM}[${CONT}].accion" "${FICHCONFJSON}")"
    if vx-control-inactividad-programar-cli "${TIEMPO}" "${ACCION}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Configuración inactividad realizada"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al configurar la inactividad"
    fi
}

"${echo_titulo}" "*  [[ Configuración Control Inactividad ... ]]  *"
PARAM="controlinactividad.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configuración Control Inactividad" "control_inactividad"