#!/bin/bash
# 2.2) Configuración del usuario de inicio de sesión automático:

function usuario_inicio_automático() {
    PARAM="${1}"
    CONT="${2}"
    USUARIO="$(jq -r ".${PARAM}[${CONT}] | .usuario" "${FICHCONFJSON}")"
    USUARIO="$(vx-check-usu-igualdad "${USUARIO}")"
    if vx-modificar-usu-inicio-sesion-cli "${USUARIO}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Configurado usuario de inicio de sesión: ${USUARIO}"
    else
        "${echo_rojo}" "=> ¡¡Error!! No se ha podido configurar el usuario de inicio de sesión: ${USUARIO}"
    fi
}

"${echo_titulo}" "*  [[ Configuración del usuario de inicio de sesión automático ... ]]  *"
PARAM="iniciosesionauto"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Usuario de Inicio de Sesión Automático" "usuario_inicio_automático"