#!/bin/bash
# 2.10) Copiar ficheros, lanzadores o directorios al Escritorio Congelado:

function copiar_en_escritorio() {
    PARAM="${1}"
    CONT="${2}"
    # Como ruta le pasaremos el archivo, lanzador o directorio a copiar:
    RUTA="$(jq -r ".${PARAM}[${CONT}].ruta" "${FICHCONFJSON}")"
    # Como destinatarios indicaremos: usuario1;usuario2;usuario3;...|all
    DESTINATARIOS="$(jq -r ".${PARAM}[${CONT}].destinatarios" "${FICHCONFJSON}")"
    if vx-copiar-en-escritorio "${RUTA}" "${DESTINATARIOS}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Lanzador copiado correctamente al Escritorio: ${RUTA}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al copiar el lanzador al Escritorio: ${RUTA}"
    fi
}

"${echo_titulo}" "*  [[ Copiar en Escritorio ... ]]  *"
PARAM="copiarenescritorio.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Copiar en Escritorio" "copiar_en_escritorio"