#!/bin/bash
# 20) Configuración del Explorador de Archivos pcmanfm mediante directivas:

function configurar_pcmanfm() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos la IP Servidor Epoptes a configurar en los clientes (p.e. IES Bajo Aragón):
    FICHEROCONF="$(jq -r ".${PARAM}[${CONT}].ficheroconf" "${FICHCONFJSON}")"
    SECCION="$(jq -r ".${PARAM}[${CONT}].seccion" "${FICHCONFJSON}")"
    LISTADIRECTIVAS="$(jq -r ".${PARAM}[${CONT}].listadirectivas" "${FICHCONFJSON}")"
    EJECUTABLE="/usr/bin/vx-pcmanfm-config"
    if [[ -x "${EJECUTABLE}" ]] && \
    "${EJECUTABLE}" "${FICHEROCONF}" "${SECCION}" "${LISTADIRECTIVAS}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente pcmanfm"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al configurar pcmanfm"
    fi
}

"${echo_titulo}" "*  [[ Configuración del Explorador de Archivos pcmanfm... ]]  *"
PARAM="pcmanfm.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar Explorador de Archivos - pcmanfm" "configurar_pcmanfm"