#!/bin/bash
# 2.1) Configuración de las horas de apagado:

function configurar_horas_apagado() {
    PARAM="${1}"
    CONT="${2}"
    HORAS="$(jq -r ".${PARAM}[${CONT}] | .horas" "${FICHCONFJSON}" | sed -e "s/[;:]/ /g")"
    if vx-programar-apagado-automatico ${HORAS} ; then
        "${echo_verde}" "=> ¡¡Ok!! Se han programado las horas de apagado: ${HORAS}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al programar las horas de apagado: ${HORAS}"
    fi
}

"${echo_titulo}" "*  [[ Configuración de las horas de apagado ... ]]  *"
PARAM="horasdeapagado"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configuración Horas Apagado" "configurar_horas_apagado"