#!/bin/bash
# 16) Configuración de la gestión de energia:

function configurar_power_manager() {
    PARAM="${1}"
    CONT="${2}"
    # Rescatamos el comando a ejecutar y lo lanzamos:
    SECCION="$(jq -r ".${PARAM}[${CONT}].seccion" "${FICHCONFJSON}")"
    EJECUTABLE="/usr/bin/vx-conf-power-manager"
    if [[ -x "${EJECUTABLE}" ]] && "${EJECUTABLE}" "${SECCION}" ; then
        "${echo_verde}" "=> ¡¡Ok!! Se ha configurado correctamente: ${SECCION}"
    else
        "${echo_rojo}" "=> ¡¡Error!! Problemas al ejecutar el comando: ${SECCION}"
    fi
}

"${echo_titulo}" "*  [[ Configuración de la Gestión de Energia - Power Manager ... ]]  *"
PARAM="gestionenergia.lista"
# check_parametro [parametro] [breve descripción] [función a llamar]
check_parametro "${PARAM}" "Configurar Power Manager LXDE" "configurar_power_manager"